//
// impressionistUI.h
//
// The user interface of the program which is basically a derived class from
// BaseUI

#include <FL/fl_ask.h>

#include "impressionistUI.h"
#include "impressionistDoc.h"


//------------------------------------- Help Functions --------------------------------------------
ImpressionistUI* ImpressionistUI::whoami(Fl_Menu_* o)	// from menu item back to UI itself
{
	return ( (ImpressionistUI*)(o->parent()->user_data()) );
}

// The constructor is basically derived from BaseUI class
ImpressionistUI::ImpressionistUI() : BaseUI()
{}
